View Issue Details

IDProjectCategoryView StatusLast Update
0004421SymmetricDSBugpublic2020-06-24 16:47
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.1Fixed in Version3.12.1 
Summary0004421: Primary key ordering based on the sequence of the PK
DescriptionIf a composite primary key is used and referenced by a FK and the column order is incorrect it will not be able to add the FK constraint.

 There are no primary or candidate keys in the referenced table
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 b8aec9f2

2020-06-10 21:09:28

josh-a-hicks

Details Diff
0004421: Primary key ordering based on the sequence of the PK
0004421
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

SymmetricDS: 3.12 c6304896

2020-06-15 13:26:10

josh-a-hicks

Details Diff
0004421: Primary key ordering based on the sequence of the PK
0004421
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

SymmetricDS: 3.12 9cb5ed89

2020-06-18 11:11:13

josh-a-hicks

Details Diff
0004421: Primary key ordering based on the sequence of the PK
0004421
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2020-06-09 15:05 josh-a-hicks New Issue
2020-06-09 15:05 josh-a-hicks Status new => assigned
2020-06-09 15:05 josh-a-hicks Assigned To => josh-a-hicks
2020-06-10 21:09 josh-a-hicks Status assigned => resolved
2020-06-10 21:09 josh-a-hicks Resolution open => fixed
2020-06-10 21:09 josh-a-hicks Fixed in Version => 3.12.1
2020-06-18 11:00 josh-a-hicks Changeset attached => SymmetricDS 3.12 c6304896
2020-06-18 11:00 josh-a-hicks Changeset attached => SymmetricDS 3.12 b8aec9f2
2020-06-18 12:00 josh-a-hicks Changeset attached => SymmetricDS 3.12 9cb5ed89
2020-06-24 16:47 admin Status resolved => closed